2019-08-19 16:18 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006261Spring engineGeneralpublic2019-08-17 17:05
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006261: 104.0.1-1305-gf2c1261 maintenance Spring keeps hanging on luarules reload
DescriptionWhile developing gadgets today I've notice Spring hang on luarules reload a lot more than it usually does. I estimate the hangs to occur 15% of the time.

https://github.com/ZeroK-RTS/CrashReports/issues/23058
TagsNo tags attached.
Checked infolog.txt for lua ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0020049

Kloot (developer)

1) 1314-g7705994 contains at least one deadlock fix
2) if that build still hangs, please attach a debugger to the Spring process and provide a trace

~0020075

Google_Frog (reporter)

Here is a luarules hang in 104.0.1-1333-gce618bd: https://github.com/ZeroK-RTS/CrashReports/issues/23436

~0020076

Kloot (developer)

Last edited: 2019-08-09 21:44

View 2 revisions

See point 2) of my previous post, I need an actual debug trace.

Also, "HangTimeout = 30" makes me think you killed the process prematurely. Reduce it or let the hang detector do its job.

~0020085

Kloot (developer)

Caught one instance in 1361-g2811f2d, reopen if you find others.
+Notes

-Issue History
Date Modified Username Field Change
2019-07-22 06:16 Google_Frog New Issue
2019-07-22 10:13 Kloot Note Added: 0020049
2019-07-22 10:14 Kloot Status new => feedback
2019-08-09 05:57 Google_Frog Note Added: 0020075
2019-08-09 05:57 Google_Frog Status feedback => new
2019-08-09 10:16 Kloot Note Added: 0020076
2019-08-09 21:44 Kloot Note Edited: 0020076 View Revisions
2019-08-17 17:05 Kloot Assigned To => Kloot
2019-08-17 17:05 Kloot Status new => resolved
2019-08-17 17:05 Kloot Resolution open => fixed
2019-08-17 17:05 Kloot Fixed in Version => 104.0 +git
2019-08-17 17:05 Kloot Note Added: 0020085
+Issue History